Fixes:

| checking for Python.h... no
| configure: error: header file <Python.h> is required for Python
| NOTE: The following config.log files may provide further information.
| WARNING: exit code 1 from a shell command.
| NOTE: 
.../tmp/work/armv5e-poky-linux-gnueabi/postgresql/9.4.8-r0.0/build/config.log
| ERROR: configure failed

Signed-off-by: Mario Domenech Goulart <mario.goul...@gmail.com>
---
 meta-oe/recipes-support/postgresql/postgresql.inc | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/meta-oe/recipes-support/postgresql/postgresql.inc 
b/meta-oe/recipes-support/postgresql/postgresql.inc
index 9592c79..454624c 100644
--- a/meta-oe/recipes-support/postgresql/postgresql.inc
+++ b/meta-oe/recipes-support/postgresql/postgresql.inc
@@ -40,6 +40,8 @@ export LDFLAGS_SL = "${LDFLAGS}"
 
 inherit autotools pkgconfig perlnative pythonnative useradd update-rc.d systemd
 
+CFLAGS += "-I${STAGING_INCDIR}/${PYTHON_DIR}"
+
 SYSTEMD_SERVICE_${PN} = "postgresql.service"
 SYSTEMD_AUTO_ENABLE_${PN} = "disable"
 
@@ -109,12 +111,6 @@ python populate_packages_prepend() {
 }
 
 do_configure() {
-    # do_configure_prepend
-    # make sure configure finds python includdirs with these envs
-    export \
-           STAGING_INCDIR=${STAGING_INCDIR} \
-           STAGING_LIBDIR=${STAGING_LIBDIR}
-
     # do_configure
     autotools_do_configure
 
-- 
2.1.4

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Reply via email to